Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Interface Traceable

All Known Subinterfaces:
  DirectoryObjectInterface, LibraryObjectInterface, LibrarySessionInterface, PublicObjectInterface, SchemaObjectInterface, SystemObjectInterface

All Known Implementing Classes:
  LibrarySession, S_LibraryService, S_LibrarySession

public interface Traceable

The `Traceable` interface. Objects that have the Trace method implement this interface

Method Summary
`TraceLogger` | `getTraceLogger()` Gets the TraceLogger.
`boolean` | `isTraced(int channel, int level)` Gets whether tracing is enabled for the specified channel and level.
`void` | `trace(int channel, int level, java.lang.String payload)` Issues a trace request to the trace logger.

Method Detail

### isTraced

    public boolean isTraced(int channel,
                            int level)
                     throws IfsException

  Gets whether tracing is enabled for the specified channel and level.
  Parameters:
    `channel` - the channel number
    `level` - the level
  Returns:
    whether tracing is enabled.
  Throws:
    `IfsException` - if operation fails.

### trace

    public void trace(int channel,
                      int level,
                      java.lang.String payload)
               throws IfsException

  Issues a trace request to the trace logger.
  Parameters:
    `channel` - the channel number
    `level` - the level
    `payload` - a string containing any additional information to be placed in the trace log
  Throws:
    `IfsException` - if operation fails.

### getTraceLogger

    public TraceLogger getTraceLogger()
                               throws IfsException

  Gets the TraceLogger.
  Returns:
    the trace logger
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD